Uploaded image for project: 'Hiera'
  1. Hiera
  2. HI-483

Allow compatibility mode of deep_merge

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: HI 3.1.0
    • Component/s: Community
    • Labels:
      None
    • Template:
    • Story Points:
      1
    • Sprint:
      Language 2015-12-16
    • Release Notes:
      New Feature
    • Release Notes Summary:
      Support deep_merge compatibility mode.

      Description

      We just created a project that uses hiera and active record. Active support is included automatically and also provides deep_merge. This deep merge does not allow additional options and is in that way not compatible. The deep_merge gem has a compatiblity mode for this, see https://github.com/danielsdeleo/deep_merge#using-deep_merge-in-rails

      This commit adds the possibility to use the compatibility mode.

        Attachments

          Issue Links

            Activity

              jsd-sla-details-panel

                People

                • Assignee:
                  Unassigned
                  Reporter:
                  Mike-Petersen Mike Petersen
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  3 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved:

                    Zendesk Support